Subject: bug#30285: dired-do-chmod vs. top line of dired

From: Drew Adams <[email-masked]>
Date: Wed, 31 Jan 2018 11:04:46 -0800 (PST)

> > Obviously, for `dired-do-*' commands we still need to
> > handle the case where files or dirs are marked.  And
> > in that case the command should DTRT even if called from
> > a non-file line, i.e., one of the problematic places
> > we've been discussing - it should not raise an error
> > in that context.
>
> IIRC, my latest patch handle those situations pretty well.
> Could you tested it and provide feedback about how to
> improve it?
> 
> > For `dired-do-*' commands that already call
> > `dired-get-marked-files' the clear solution, I think,
> > is to just test that return value and raise an error
> > if it is nil.
> >
> > If there are `dired-do-*' commands that do not call
> > `dired-get-marked-files' then we have a choice how to
> > solve the problem.  But it might well be that even then
> > the best solution is to use `dired-get-marked-files'.
>
> Since you are reluctant to the addition of the new predicate.
> That's fine.
>
> May I ask you to provide an alternative  patch to compare
> with mine? Then, people here might do further feedback based
> on those 2 alternatives.

Sorry; I don't have time to work on this.  I've already
provided my suggestions - hope they help. Whatever you
decide is fine by me.  Thx.